std::once_flag(3cxx)

NAME
std::once_flag - Flag type used by std::call_once.

SYNOPSIS

#include <mutex>

  Public Member Functions

once_flag (const once_flag &)=delete
Deleted copy constructor.
once_flag & operator= (const once_flag &)=delete
Deleted assignment operator.

  Friends

template<typename _Callable, typename... _Args> void call_once (once_flag &__once, _Callable &&__f, _Args &&... __args)
Invoke a callable and synchronize with other calls using the same flag.

Detailed Description

Flag type used by std::call_once.

Constructor & Destructor Documentation

  std::once_flag::once_flag (const once_flag & ) [delete]

Deleted copy constructor.

Member Function Documentation

  once_flag & std::once_flag::operator= (const once_flag & ) [delete]

Deleted assignment operator.

Friends And Related Symbol Documentation

  template<typename _Callable, typename... _Args> void call_once (once_flag & __once, _Callable && __f, _Args &&... __args) [friend]

Invoke a callable and synchronize with other calls using the same flag.

References std::__invoke(), and std::forward().

Author

Generated automatically by Doxygen for libstdc++ from the source code.